# MzIDToTsv

MS-GF+ Documentation home

# MzIDToTsv

Converts MS-GF+ output (.mzid) into the tsv format (.tsv)

    Usage: java -Xmx3500M -cp MSGFPlus.jar edu.ucsd.msjava.ui.MzIDToTsv
    	-i MzIDFile (MS-GF+ output file (*.mzid))
    	[-o TSVFile] (TSV output file (*.tsv) (Default: MzIDFileName.tsv))
    	[-showQValue 0/1] (0: do not show Q-values, 1: show Q-values (Default))
    	[-showDecoy 0/1] (0: do not show decoy PSMs (Default), 1: show decoy PSMs)
    	[-unroll 0/1] (0: merge shared peptides (Default), 1: unroll shared peptides)

Parameters:

- -i MzIDFile
  - Path to the MS-GF+ result file (*.mzid)
- -o TSVFile
  - Path to the tsv output file (*.tsv)
  - If not specified, for input MyFile.mzid, the output will be MyFile.tsv.
- -showQValue 0/1
  - If 0, QValue and PepQValue are not be reported.
  - If 1, QValue and PepQValue are reported (Default).
- -showDecoy 0/1
  - If 0, decoy PSMs will not be reported (Default).
  - If 1, decoy PSMs will be reported.
- -unroll 0/1
  - This parameter controls the output format for shared peptides (peptides matched to multiple proteins).
  - When "-unroll 0" (Default), a PSM matched to a shared peptide will be printed as a single line.
    - Peptide column does not show neighboring amino acids (e.g. IGAYLFVDMAHVAGLIAAGVYPNPVPHAHVVTSTTHK).
    - Protein column shows all proteins in a single line.
    - Example: MyProtein(pre=K,post=T);MyProteinIsoform(pre=K,post=T)
    - Download example file
  - When "-unroll 1", a PSM matched to a shared peptide will be printed in multiple lines.
    - Peptide column shows neighboring amino acids (e.g. K.IGAYLFVDMAHVAGLIAAGVYPNPVPHAHVVTSTTHK.T).
    - Different peptide-protein matches are printed in different lines.
    - Download example file